Permalink
Browse files

upgrade to Grails 2.1.0, apply pull request, ready for 1.2.4 release

  • Loading branch information...
1 parent 4e6c455 commit d5285c0ba414b17f1c52ba7c34bf01acc8c2fc06 @limcheekin committed Jul 29, 2012
View
@@ -1,14 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="src" path="src/java"/>
- <classpathentry kind="src" path="src/groovy"/>
- <classpathentry kind="src" path="grails-app/conf"/>
- <classpathentry kind="src" path="grails-app/controllers"/>
- <classpathentry kind="src" path="grails-app/domain"/>
- <classpathentry kind="src" path="grails-app/services"/>
- <classpathentry kind="src" path="grails-app/taglib"/>
- <classpathentry kind="src" path="test/integration"/>
- <classpathentry kind="src" path="test/unit"/>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
- <classpathentry kind="con" path="com.springsource.sts.grails.core.CLASSPATH_CONTAINER"/>
- <classpathentry kind="output" path="web-app/WEB-INF/classes"/>
-</classpath>
+ <classpathentry kind="src" path="src/java"/>
+ <classpathentry kind="src" path="src/groovy"/>
+ <classpathentry kind="src" path="grails-app/conf"/>
+ <classpathentry kind="src" path="grails-app/controllers"/>
+ <classpathentry kind="src" path="grails-app/domain"/>
+ <classpathentry kind="src" path="grails-app/services"/>
+ <classpathentry kind="src" path="grails-app/taglib"/>
+ <classpathentry kind="src" path="test/integration"/>
+ <classpathentry kind="src" path="test/unit"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+ <classpathentry kind="con" path="com.springsource.sts.grails.core.CLASSPATH_CONTAINER"/>
+ <classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
+ <classpathentry kind="output" path="web-app/WEB-INF/classes"/>
+</classpath>
@@ -21,11 +21,11 @@
*/
class JqueryValidationUiGrailsPlugin {
// the plugin version
- def version = "1.2-SNAPSHOT"
+ def version = "1.2.4"
// the version or versions of Grails the plugin is designed for
def grailsVersion = "1.2.2 > *"
// the other plugins this plugin depends on
- def dependsOn = [jqueryValidation: '1.7 > *', constraints: '0.5.1 > *']
+ def dependsOn = [:]
// resources that are excluded from plugin packaging
def pluginExcludes = [
"grails-app/views/error.gsp"
View
@@ -1,6 +1,6 @@
#Grails Metadata file
-#Sun Jan 15 13:02:11 GMT+08:00 2012
-app.grails.version=2.0.0
+#Thu Jul 12 15:09:18 GMT+08:00 2012
+app.grails.version=2.1.0
app.name=jquery-validation-ui
-plugins.hibernate=2.0.0
-plugins.tomcat=2.0.0
+plugins.hibernate=2.1.0
+plugins.tomcat=2.1.0
@@ -34,35 +34,14 @@ grails.project.dependency.resolution = {
// specify dependencies here under either 'build', 'compile', 'runtime', 'test' or 'provided' scopes eg.
// runtime 'mysql:mysql-connector-java:5.1.5'
- build("xom:xom:1.2.5") {
- export = false
- }
- compile("org.tmatesoft.svnkit:svnkit:1.3.5") {
- excludes "jna", "trilead-ssh2", "sqljet"
- export = false
- }
}
plugins {
- compile(":constraints:0.6.0")
- compile(":jquery:1.7.1")
- compile(":jquery-validation:1.7.3")
- compile(":resources:1.1.6") {
- excludes "webxml"
- export = false
- }
- compile(":webxml:1.4.1") {
- export = false
- }
- build(":new-doc:0.3.2") {
- export = false
- excludes "xom"
- }
- build(":release:1.0.1") {
- export = false
- excludes "svn"
- }
- build(':svn:1.0.2') {
- export = false
- }
+ runtime ":hibernate:$grailsVersion"
+ runtime ":jquery:1.7.2"
+ compile ":constraints:0.8.0"
+ compile ":jquery-validation:1.7.3"
+ runtime ":resources:1.1.6"
+ build ":tomcat:$grailsVersion"
+ build ":release:2.0.3"
}
}
@@ -1,6 +1,6 @@
modules = {
'jquery-validation-ui' {
- dependsOn 'jquery,jquery-validate'
+ dependsOn 'jquery, jquery-validate'
resource id:"qtip", url:[plugin:'jqueryValidationUi', dir:'js/qTip', file:'jquery.qtip.pack.js']
resource id:"validation-methods", url:[plugin:'jqueryValidationUi', dir:'js/jquery-validation-ui', file:'grails-validation-methods.js']
No changes.
View
@@ -0,0 +1,109 @@
+h1, h2 {
+ margin: 10px 25px 5px;
+}
+
+h2 {
+ font-size: 1.1em;
+}
+
+.filename {
+ font-style: italic;
+}
+
+.exceptionMessage {
+ margin: 10px;
+ border: 1px solid #000;
+ padding: 5px;
+ background-color: #E9E9E9;
+}
+
+.stack,
+.snippet {
+ margin: 0 25px 10px;
+}
+
+.stack,
+.snippet {
+ border: 1px solid #ccc;
+ -mox-box-shadow: 0 0 2px rgba(0,0,0,0.2);
+ -webkit-box-shadow: 0 0 2px rgba(0,0,0,0.2);
+ box-shadow: 0 0 2px rgba(0,0,0,0.2);
+}
+
+/* error details */
+.error-details {
+ border-top: 1px solid #FFAAAA;
+ -mox-box-shadow: 0 0 2px rgba(0,0,0,0.2);
+ -webkit-box-shadow: 0 0 2px rgba(0,0,0,0.2);
+ box-shadow: 0 0 2px rgba(0,0,0,0.2);
+ border-bottom: 1px solid #FFAAAA;
+ -mox-box-shadow: 0 0 2px rgba(0,0,0,0.2);
+ -webkit-box-shadow: 0 0 2px rgba(0,0,0,0.2);
+ box-shadow: 0 0 2px rgba(0,0,0,0.2);
+ background-color:#FFF3F3;
+ line-height: 1.5;
+ overflow: hidden;
+ padding: 5px;
+ padding-left:25px;
+}
+
+.error-details dt {
+ clear: left;
+ float: left;
+ font-weight: bold;
+ margin-right: 5px;
+}
+
+.error-details dt:after {
+ content: ":";
+}
+
+.error-details dd {
+ display: block;
+}
+
+/* stack trace */
+.stack {
+ padding: 5px;
+ overflow: auto;
+ height: 150px;
+}
+
+/* code snippet */
+.snippet {
+ background-color: #fff;
+ font-family: monospace;
+}
+
+.snippet .line {
+ display: block;
+}
+
+.snippet .lineNumber {
+ background-color: #ddd;
+ color: #999;
+ display: inline-block;
+ margin-right: 5px;
+ padding: 0 3px;
+ text-align: right;
+ width: 3em;
+}
+
+.snippet .error {
+ background-color: #fff3f3;
+ font-weight: bold;
+}
+
+.snippet .error .lineNumber {
+ background-color: #faa;
+ color: #333;
+ font-weight: bold;
+}
+
+.snippet .line:first-child .lineNumber {
+ padding-top: 5px;
+}
+
+.snippet .line:last-child .lineNumber {
+ padding-bottom: 5px;
+}
Oops, something went wrong.

0 comments on commit d5285c0

Please sign in to comment.